# Uses of Class
java.lang.StringBuilder

Packages that use StringBuilder
Package
Description
java.lang
Provides classes that are fundamental to the design of the Java programming language.
java.util.regex
Classes for matching character sequences against patterns specified by regular expressions.

## Uses of StringBuilder in java.lang

Classes in java.lang that implement interfaces with type arguments of type StringBuilder
Modifier and Type
Class
Description
`final class`
`StringBuilder`
A mutable sequence of characters.
Methods in java.lang that return StringBuilder
Modifier and Type
Method
Description
`StringBuilder`
StringBuilder.`append(boolean b)`
`StringBuilder`
StringBuilder.`append(char c)`
`StringBuilder`
StringBuilder.`append(char[] str)`
`StringBuilder`
StringBuilder.`append(char[] str, int offset, int len)`
`StringBuilder`
StringBuilder.`append(double d)`
`StringBuilder`
StringBuilder.`append(float f)`
`StringBuilder`
StringBuilder.`append(int i)`
`StringBuilder`
StringBuilder.`append(long lng)`
`StringBuilder`
StringBuilder.`append(CharSequence s)`
`StringBuilder`
StringBuilder.`append(CharSequence s, int start, int end)`
`StringBuilder`
StringBuilder.`append(Object obj)`
`StringBuilder`
StringBuilder.`append(String str)`
`StringBuilder`
StringBuilder.`append(StringBuffer sb)`
Appends the specified `StringBuffer` to this sequence.
`StringBuilder`
StringBuilder.`appendCodePoint(int codePoint)`
`StringBuilder`
StringBuilder.`delete(int start, int end)`
`StringBuilder`
StringBuilder.`deleteCharAt(int index)`
`StringBuilder`
StringBuilder.`insert(int offset, boolean b)`
`StringBuilder`
StringBuilder.`insert(int offset, char c)`
`StringBuilder`
StringBuilder.`insert(int offset, char[] str)`
`StringBuilder`
StringBuilder.`insert(int index, char[] str, int offset, int len)`
`StringBuilder`
StringBuilder.`insert(int offset, double d)`
`StringBuilder`
StringBuilder.`insert(int offset, float f)`
`StringBuilder`
StringBuilder.`insert(int offset, int i)`
`StringBuilder`
StringBuilder.`insert(int offset, long l)`
`StringBuilder`
StringBuilder.`insert(int dstOffset, CharSequence s)`
`StringBuilder`
StringBuilder.`insert(int dstOffset, CharSequence s, int start, int end)`
`StringBuilder`
StringBuilder.`insert(int offset, Object obj)`
`StringBuilder`
StringBuilder.`insert(int offset, String str)`
`StringBuilder`
StringBuilder.`repeat(int codePoint, int count)`
`StringBuilder`
StringBuilder.`repeat(CharSequence cs, int count)`
`StringBuilder`
StringBuilder.`replace(int start, int end, String str)`
`StringBuilder`
StringBuilder.`reverse()`
Methods in java.lang with parameters of type StringBuilder
Modifier and Type
Method
Description
`int`
StringBuilder.`compareTo(StringBuilder another)`
Compares two `StringBuilder` instances lexicographically.
Constructors in java.lang with parameters of type StringBuilder
Modifier
Constructor
Description
``
`String(StringBuilder builder)`
Allocates a new string that contains the sequence of characters currently contained in the string builder argument.

## Uses of StringBuilder in java.util.regex

Methods in java.util.regex that return StringBuilder
Modifier and Type
Method
Description
`StringBuilder`
Matcher.`appendTail(StringBuilder sb)`
Implements a terminal append-and-replace step.
Methods in java.util.regex with parameters of type StringBuilder
Modifier and Type
Method
Description
`Matcher`
Matcher.`appendReplacement(StringBuilder sb, String replacement)`
Implements a non-terminal append-and-replace step.
`StringBuilder`
Matcher.`appendTail(StringBuilder sb)`
Implements a terminal append-and-replace step.